SCIM-m17n và bộ gõ tiếng Việt

Khuyên dùng: Gõ tiếng Việt với SCIM-UNIKEY

Tất cả bài viết về SCIM đã được đưa chuyển về.

Hướng dẫn – Gõ tiếng Việt cho người mới sử dụng bằng SCIM

Lúc trước mình đã có thử đưa ra một cái bộ SCIM gõ nhưng cách gõ của nó vẫn còn rất ngu như ở bản mới này thì mình gõ telex ở tốc độ rất nhanh. Và có thể bỏ dấu tự do không biết bộ gõ VNI ra sao.

Bộ gõ SCIM thì chỉ có thể gõ được Unicode thôi còn mấy bảng mã khác vẫn còn nghiên cứu.

(chú ý việc gỡ bỏ XVNKB đang sử dụng có thể dẫn đến lỗi hệ thống đó. Lỗi này do các bạn lúc đóng gói file deb không kiểm tra cẩn thận. Với bản Deb của mình thì đã Fix lỗi đó các bạn có thể xóa bỏ)

Với Ubuntu 8.04 XVNKB . Tuy vẫn còn một số lỗi nhưng mình sẽ tìm cách khắc phục

Để có thể gõ = SCIM bạn download 2 file này về.

m17n-db_1.5.1-0ubuntu1_i386.deb

libm17n-dev_1.5.1-0ubuntu1_i386.deb

Hoặc

http://www.box.net/shared/xa5u64gsg0

http://www.box.net/shared/lgm4wiagcc

Cài lần lượt các file đó theo thứ tự. Sau khi cài xong các bạn đã có thể gõ được khi nhấn vào biểu tượng SCIM để chỉnh kiểu gõ (biểu tượng trên góc phải màn hình hoặc icon thả nổi). Nhưng nếu các bạn sử dụng các bộ gõ khác nhưng XVNKB có thể đã bị thay đổi cấu hình bộ gõ mặc định. Nếu vẫn không gõ được thì vào System->Administration->Lanuage Support. Chọn Enable Support to enter complex characters. Chọn vào Apply sau đó Ok. Lúc này logout ra bạn đã có thể sử dụng SCIM để gõ. Nếu vẫn không được các bạn có thể post ở đây hoặc làm theo chỉ dẫn của mình là tạo 1 file (thêm vào hoặc chỉnh sửa nếu đã có) vào file .gnomerc (ở thư mục Home của bạn) 2 dòng

#!/bin/bash
 export GTK_IM_MODULE=scim

Lúc đó Log Out ra rồi Login vào lại.

20 bình luận về “SCIM-m17n và bộ gõ tiếng Việt

  1. Đánh vật với bộ gõ tiếng Việt trên Ubuntu 8.04!!!
    Tớ quen dùng vi-telex-locdt.mim trong gói scim-viettiti.deb. Nhưng nếu dùng gdebi cài cái này thì bị xung khắc ngay, vì scim-viettiti.deb có sẵn scim-m17n và m17n-db. Còn trong gói m17n-db trên repository thì chỉ có vi-telex thôi. Cái này đúng như cậu nói, bỏ dấu hơi bị ngu.
    Cách làm của tớ như sau:
    Lấy cái file scim-viettiti-upd2.deb ở http://people.vnoss.org/~wangji/ về máy và chạy:
    $ sudo su
    $ apt-get install scim-m17n m17n-db scim-bridge-client-qt
    $ dpkg -x scim-viettiti-upd2.deb /tmp
    $ cp /tmp/usr/share/m17n/vi-*.mim /usr/share/m17n/
    —> Cóp tất cả các file có đầu là vi, đuôi là .mim vào trong thư mục của m17n-db.
    $ cd /etc/X11/xinit/xinput.d/
    $ gedit scim
    Trong file này, ta sửa
    GTK_IM_MODULE=xim
    thành
    GTK_IM_MODULE=scim-bridge-client-gtk
    và sửa tiếp
    QT_IM_MODULE=xim
    thành
    QT_IM_MODULE=scim-bridge-client-qt
    Lưu tập tin lại, rồi cóp nó sang tập tin default
    $ cp /etc/X11/xinit/xinput.d/{scim,default}
    Cuối cùng khởi động lại X
    Còn 1 cái nữa liên quan đến lỗi đăng nhập: khi chạy gdm để đăng nhập vào ubuntu, nếu ngôn ngữ là tiếng Việt, mặc định là bộ gõ viqr sẽ được bật. Tắt bộ gõ này như sau:
    $ gedit /usr/lib/gtk-2.0/2.0-xxx/immodules/gtk-immodules
    Trong đó có 1 dòng liên quan đến viqr.
    Xóa “vi” thành “” là xong.

  2. hiz dùng scim m17-n trên kubuntu 7.10 không gõ đc trong open office,firefox, còn gõ trong kopete thì lại tốt T_T, đang fải dùng x-unikey nè, ko biết lên bản 8 còn xài đc ko nữa

  3. Mình đã cài thử x-unikey, xvnkb và SCIM trên Ubuntu 8.04 (GNOME).

    Mình quen gõ TELEX nên

    Với SCIM: phải bỏ dấu ở đúng vị trí sẽ rất khó chịu
    Với x-unikey: bị xung đột với ký tự điều khiển của OpenOffice

    Với xvnkb thì ổn hơn 2 cái còn lại

  4. Minh` dang dung` 1 con Dell Vostro 1400 cai` Ubuntu 8.04 amd64. Minh` da cai` thu xvnkb nhung gap loi ko the hibernate khi dong’ nap’ laptop dc. Co’ ai giup minh dc ko

  5. Minh dung may Acer TravelMate4520, AMD 64 <– vi the tat ca nhung file cai dat nhu x-unikey, xvnkb, ke ca nhung file trong bai viet nay cung khong dung duoc (chi dung cho i386 thoi), co ban nao tim giup minh chuong trinh go tieng Viet, dung duoc cho AMD64 hay khong?

    Thanks truoc nha.
    — Sang

    P/S: Mail minh la [email protected]
    Sorry moi nguoi vi moi cai dat Ubuntu nen khong go tieng Viet co dau duoc.

  6. tớ down 2 file như trên về rồi dùng command sau:
    “sudo apt-get install m17n-db_1.5.1-0ubuntu1_i386.deb”
    thì bị lỗi sau:
    “E: Couldn’t find package m17n-db_1.5.1-0ubuntu1_i386.deb”
    sao kỳ vậy? tớ down đúng gói mà.
    help me!

Trả lời

Điền thông tin vào ô dưới đây hoặc nhấn vào một biểu tượng để đăng nhập:

WordPress.com Logo

Bạn đang bình luận bằng tài khoản WordPress.com Đăng xuất /  Thay đổi )

Google photo

Bạn đang bình luận bằng tài khoản Google Đăng xuất /  Thay đổi )

Twitter picture

Bạn đang bình luận bằng tài khoản Twitter Đăng xuất /  Thay đổi )

Facebook photo

Bạn đang bình luận bằng tài khoản Facebook Đăng xuất /  Thay đổi )

Connecting to %s